netatalk: auth.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
auth.h File Reference
`#include <limits.h>`
`#include <atalk/globals.h>`

Go to the source code of this file.

## Data Structures
struct | afp_versions

## Macros
#define | USERIBIT_USER (1 << 0)
#define | USERIBIT_GROUP (1 << 1)
#define | USERIBIT_UUID (1 << 2)
#define | USERIBIT_ALL (USERIBIT_USER | USERIBIT_GROUP | USERIBIT_UUID)

## Functions
int | afp_login (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_login_ext (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_logincont (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_changepw (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_logout (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_getuserinfo (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_getsession (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_disconnect (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)
int | afp_zzz (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)

## Variables
static const struct afp_versions | afp_versions []
uid_t | uuid
gid_t * | groups
int | ngroups

## Macro Definition Documentation

## ◆ USERIBIT_ALL

#define USERIBIT_ALL (USERIBIT_USER | USERIBIT_GROUP | USERIBIT_UUID)

## ◆ USERIBIT_GROUP

#define USERIBIT_GROUP (1 << 1)

## ◆ USERIBIT_USER

#define USERIBIT_USER (1 << 0)

## ◆ USERIBIT_UUID

#define USERIBIT_UUID (1 << 2)

## Function Documentation

## ◆ afp_changepw()

int afp_changepw | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_disconnect()

int afp_disconnect | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_getsession()

int afp_getsession | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_getuserinfo()

int afp_getuserinfo | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_login()

int afp_login | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_login_ext()

int afp_login_ext | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_logincont()

int afp_logincont | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_logout()

int afp_logout | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ afp_zzz()

int afp_zzz | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## Variable Documentation

## ◆ afp_versions

const struct afp_versions afp_versions[]
| static

Initial value:
= {
{ "AFPVersion 1.1", 11 },
{ "AFPVersion 2.0", 20 },
{ "AFPVersion 2.1", 21 },
{ "AFP2.2", 22 },
{ "AFPX03", 30 },
{ "AFP3.1", 31 },
{ "AFP3.2", 32 },
{ "AFP3.3", 33 },
{ "AFP3.4", 34 }
}

## ◆ groups

gid_t* groups
| extern

## ◆ ngroups

int ngroups
| extern

## ◆ uuid

uid_t uuid
| extern